osl::record::KisenPlusFile Class Reference

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Public Member Functions | Static Public Attributes | Private Attributes | List of all members
osl::record::KisenPlusFile Class Reference

「.kpf」という拡張子を持つ棋泉プラス形式ファイル. More...

`#include <kisen.h>`

Collaboration diagram for osl::record::KisenPlusFile:
[legend]

## Public Member Functions
| KisenPlusFile (const std::string &fileName)
size_t | size () const
SimpleState const & | getInitialState () const
const vector< Move > | getMoves (size_t index)
void | getMoves (size_t index, vector< Move > &, vector< int > &)

## Static Public Attributes
static const size_t | maxMoves =256

## Private Attributes
std::ifstream | ifs
size_t | numberOfGames
SimpleState const | initialState

## Detailed Description

「.kpf」という拡張子を持つ棋泉プラス形式ファイル.

手や消費時間の情報が入っている

Definition at line 116 of file kisen.h.

## Constructor & Destructor Documentation

osl::record::KisenPlusFile::KisenPlusFile | ( | const std::string & | fileName) |  |
| explicit

Definition at line 211 of file kisen.cc.

References ifs, and numberOfGames.

## Member Function Documentation

SimpleState const& osl::record::KisenPlusFile::getInitialState | ( | ) |  | const
| inline

Definition at line 125 of file kisen.h.

References initialState.

const vector< Move > osl::record::KisenPlusFile::getMoves | ( | size_t | index) |  |

Definition at line 221 of file kisen.cc.

References moves.

void osl::record::KisenPlusFile::getMoves | ( | size_t | index,
|  | vector< Move > & | moves,
|  | vector< int > & | times
| ) |  |

Definition at line 229 of file kisen.cc.

References ifs, osl::PieceStand::order, osl::promote(), and size().

size_t osl::record::KisenPlusFile::size | ( | ) |  | const
| inline

Definition at line 124 of file kisen.h.

References numberOfGames.

Referenced by getMoves().

## Member Data Documentation

std::ifstream osl::record::KisenPlusFile::ifs
| private

Definition at line 118 of file kisen.h.

Referenced by getMoves(), and KisenPlusFile().

SimpleState const osl::record::KisenPlusFile::initialState
| private

Definition at line 120 of file kisen.h.

Referenced by getInitialState().

const size_t osl::record::KisenPlusFile::maxMoves =256
| static

Definition at line 122 of file kisen.h.

size_t osl::record::KisenPlusFile::numberOfGames
| private

Definition at line 119 of file kisen.h.

Referenced by KisenPlusFile(), and size().

The documentation for this class was generated from the following files:

- kisen.h
- kisen.cc